// <-- INTERACTIVE TEST -->
//
// Copyright (C) - 2015 - Samuel GOUGEON
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING.  
// The terms are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
//
// =================================================================================
//

// Examples with strings including some tags
try
	uman xmlXPath e
catch
	pause
end
	
// Multiples Sections
try
	uman grand a
	uman odedc a
catch
	pause
end
	
// Tables
try
	uman PlotSparse d   // 2 tables without borders
	uman atomsInstall a
	uman atomsGetInstalledPath  // missing cell
catch
	pause
end

// "&" in URLs
try
	uman hilb cde
catch
	pause
end

// Several functions described in the same page
try
	uman bessel a
catch
	pause
end

// Indented contents. Warning and note
try
	uman dasrt a
catch
	pause
end

try
	uman .*. cd        // Operators or symbols are accepted. here: shortcut to kron()
catch
	pause
end
 
try
	uman linspace Lrua // Russian version of linspace's page
	uman linspace aL   // English reference version
catch
	pause
end
   
// Inner redirections to pages or summaries :
try
	uman datatype   // inner redirection to the "type" page
	uman sparses    // Display the summary of functions dealing with sparse matrices. 
					 // Other shortcuts are defined in the same way. Try with "statistics"
catch
	pause
end
                  
// Scilab equivalences of external patterns inexisting in Scilab
try
	uman polyval	// Automatic Octave => Scilab redirection performed when possible.
					// polyval() does not exist in Scilab but is the Octave
					// function for Scilab's horner() => horner's page is displayed
catch
	pause
end
                   
// Scilab equivalence of external faux-amis			  
try
	uman end ax    // "x" targets in priority an eXternal meaning for "end". In Octave, "end" 
catch
	pause
end
                  // means "index of last element", as "$" in Scilab => "$" page is displayed
                   
// "g" calls also the help browser GUI (may be docked over the editor)
try
	uman strstr ag
catch
	pause
end
 
// "s" display the related Summary instead of the feature's page
try
	uman strstr s
	uman who s       // A Summary with subcategories, here in the browser as well
catch
	pause
end
 
// With an internet connexion alive:
// --------------------------------
try
	uman ode wlpt     // ONLINE page of ode() in Portuguese
	uman ode wb       // ONLINE list of bugs reported around ode(), well sorted (unfixed bugs first)
catch
	pause
end
 
// With an ATOMS package
// ---------------------
try
	 uman atoms d           // List of ATOMS functions
	 yn = atomsIsInstalled("plotlib"); 
	 atomsInstall plotlib ; // Let's install Plotlib
	 atomsIsLoaded plotlib  // => %F
	 uman plot de            // the Scilab's plot() page is targeted in priority
	 uman plot dex         // "x" for the eXternal plot() page from Plotlib to be targeted
	 uman plot dexg        // the help browser called with "g" does not come, because Plotlib is not loaded
	 uman quiver wb            // targets the ONLINE bug page of the plotlib module on the Scilab forge.
	 if ~yn, atomsRemove("plotlib"), end    // cleaning after the example
catch
	pause
end
